IR.AddListener(IR.EVENT_START, 0, function() 
{
   IR.GetDevice("hue");
   // ***get Hue driver***
   sendRequests();
   // ***send request for API***  
   // ***Code to go here to request status every 100ms regardless of active page or popup***  
   
});

function sendRequests()
{
   // ***request status of Sensor 12 - Buttons - eventually these scripts will need to listen to 10x buttons***
   IR.GetDevice("hue").SendEx({ 
         Type: "GET",                                                                    
         Url:  "/api/4pIBQMqs2Nib6JgK9XtBsaACKKClGAUTKrOtjivg/sensors/14",      
         cbReceiveText: function(json)
         {  
            // ***Code to go here to parse response data and extract state > buttonstate > XXXX***
            IR.GetPage("Page 1").GetItem("buttonstate").Text = json;  
            // ***Writes full unparsed response from API into a text box called 'buttonstate'
            // purely for testing reference***      
            
            // ***Code to have the parsed data do something (send command to driver)***
            // switch
            // {
            // case "1":
               // IR.GetPage("Page 1").GetItem("response").Text = Button 1 Pressed;
                  // ***trigger a command to a device if button 1 is pressed i.e. Turn Light 5 On***   
               // IR.GetDevice("hue").Set("Light ID 5 = On, "");
            // break;     
            // case "2":
               // IR.GetPage("Page 1").GetItem("response").Text = Button 2 Pressed;
                  // ***do the things***
            // break;
            // case "3":
               // IR.GetPage("Page 1").GetItem("response").Text = Button 3 Pressed;
                  // ***do the things***   
            // break; 
            // case "4":
               // IR.GetPage("Page 1").GetItem("response").Text = Button 4 Pressed;
                  // ***do the things*** 
            // break; 
            // }    
         },
   
   });
}

// The current response without parsing is as follows. What is important
// is the first number after state > button event > XXXX

// *start of response from API for Sensor = 12*
//{
//	"state": {
//		"buttonevent": 4002,
//		"lastupdated": "2018-12-15T01:23:33"
//	},
//	"config": {
//		"on": true,
//		"battery": 100,
//		"reachable": true,
//		"pending": []
//	},
//	"name": "DimmerDemo",
//	"type": "ZLLSwitch",
//	"manufacturername": "Philips",
//	"swversion": "5.45.1.17846",
//	"uniqueid": "00:17:88:01:04:af:cb:12-02-fc00"
//}
// *end of response from API for Sensor = 12*
